Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.xmlbeans
Class XmlBeansFault

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.xfire.XFireException
                  org.codehaus.xfire.fault.XFireFault
                      org.codehaus.xfire.xmlbeans.XmlBeansFault

All Implemented Interfaces:
  java.io.Serializable

    public class XmlBeansFault

extends XFireFault

Since:
  Nov 17, 2004
Author:
  Dan Diephouse
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.codehaus.xfire.fault.XFireFault
`DATA_ENCODING_UNKNOWN, MUST_UNDERSTAND, RECEIVER, SENDER, VERSION_MISMATCH`

Constructor Summary
`XmlBeansFault(org.apache.xmlbeans.XmlObject fault)`

Method Summary
`protected void` | `createSoap11Fault(org.apache.xmlbeans.XmlCursor cursor)` Fill in the fault information from the XmlCursor.
`protected void` | `createSoap12Fault(org.apache.xmlbeans.XmlCursor cursor)` Fill in the fault information from the XmlCursor.
`org.apache.xmlbeans.XmlObject` | `getFault()`
`void` | `setFault(org.apache.xmlbeans.XmlObject fault)`

Methods inherited from class org.codehaus.xfire.fault.XFireFault
`addNamespace, createFault, getCause, getDetail, getFaultCode, getMessage, getNamespaces, getReason, getRole, getSubCode, hasDetails, printStackTrace, printStackTrace, setDetail, setFaultCode, setMessage, setRole, setSubCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlBeansFault

    public XmlBeansFault(org.apache.xmlbeans.XmlObject fault)

Parameters:
  `fault` - The XmlObject representing the fault.

Method Detail

### createSoap11Fault

    protected void createSoap11Fault(org.apache.xmlbeans.XmlCursor cursor)

  Fill in the fault information from the XmlCursor.

  Parameters:
    `cursor` -

### createSoap12Fault

    protected void createSoap12Fault(org.apache.xmlbeans.XmlCursor cursor)

  Fill in the fault information from the XmlCursor.

  Parameters:
    `cursor` -

### getFault

    public org.apache.xmlbeans.XmlObject getFault()

  Returns:
    Returns the fault.

### setFault

    public void setFault(org.apache.xmlbeans.XmlObject fault)

  Parameters:
    `fault` - The fault to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.